############################################################
#
# type definition pro_declaration_component_lcmaps
#
# AUTHOR: David Groep <davidg@nikhef.nl>
#
# RESPONSIBLE: David Groep <davidg@nikhef.nl>
#
# VERSION : 0.1.4
#
############################################################

declaration template pro_declaration_component_lcmaps;

include pro_declaration_structures;

define type lcmaps_modulespec_type = {
	"path"	: string
	"args"	: string
};

define type lcmaps_policy_type = {
	"name"		: string
	"ruleset"	: string[]
};

define type lcmaps_file_type = {
	"dbpath"	: string
	"modulepath"	: string
	"module"	? lcmaps_modulespec_type{}
	"policies"	? lcmaps_policy_type[]
};

define type component_lcmaps = {
  include structure_component
  "dbpath"	? string
  "modulepath"	? string
  "multifile"	? boolean
  "module"	? lcmaps_modulespec_type{}
  "policies"	? lcmaps_policy_type[]
  "config"      ? lcmaps_file_type[]
};

type "/software/components/lcmaps" = component_lcmaps;

